---
schemaVersion: v1
kind: transfer

stages:
  Collect:
    plugins:
    - name: hoppr.core_plugins.collect_git_plugin
    - name: hoppr.core_plugins.collect_raw_plugin
    - name: hoppr.core_plugins.collect_docker_plugin
      config:
        pip_command: pip3
  Report:
    plugins:
    - name: hopprcop.hoppr_plugin.hopprcop_plugin
      config:
        scanners: 
          - hopprcop.gemnasium.gemnasium_scanner.GemnasiumScanner
          - hopprcop.grype.grype_scanner.GrypeScanner
          - hopprcop.trivy.trivy_scanner.TrivyScanner
  Bundle:
    plugins:
    - name: hoppr.core_plugins.bundle_tar
      config:
        tarfile_name: continuous-delivery-pipeline.tar.gz

max_processes: 10